summaryrefslogtreecommitdiffstats
path: root/CVSROOT
diff options
context:
space:
mode:
Diffstat (limited to 'CVSROOT')
-rwxr-xr-xCVSROOT/mkavail4
-rwxr-xr-xCVSROOT/updateCVSROOT26
2 files changed, 28 insertions, 2 deletions
diff --git a/CVSROOT/mkavail b/CVSROOT/mkavail
index 57c276c..fa21f74 100755
--- a/CVSROOT/mkavail
+++ b/CVSROOT/mkavail
@@ -3,8 +3,8 @@
# Perl module to convert a CVS avail file into a majordomo alias file.
#
-$MAILING_LIST = '/home/mail/cvs-committers';
-$AVAIL_FILE = '/home/ncvs/CVSROOT/avail';
+$MAILING_LIST = 'cvs-committers';
+$AVAIL_FILE = 'avail';
open (MAIL, ">$MAILING_LIST");
open (AVAIL, "<$AVAIL_FILE");
diff --git a/CVSROOT/updateCVSROOT b/CVSROOT/updateCVSROOT
new file mode 100755
index 0000000..3de3ee3
--- /dev/null
+++ b/CVSROOT/updateCVSROOT
@@ -0,0 +1,26 @@
+#! /bin/sh
+#
+# Called in place of mkmodules to take care of files mkmodules doesn't know.
+#
+# $Id$
+
+PATH=$PATH:/bin:/usr/bin:/usr/sbin:/sbin:/usr/local/bin
+export PATH
+
+FILELIST="avail mkavail commitcheck cvs_acls.pl commit_prep.pl log_accum.pl"
+FILELIST="${FILELIST} cvsedit edithook fixcvsroot"
+
+cd $1
+
+for i in $FILELIST
+do
+ find $i,v -newer $i -exec co -u $i
+done
+
+#find avail,v -newer cvs-committers -exec ./mkavail
+#cmp -s cvs-committers /home/mail/cvs-committers || {
+# echo "/home/mail/cvs-committers is different to \$CVSROOT/cvs-committers"
+# echo "please check to see what needs to be updated..."
+#}
+
+exec mkmodules $1
OpenPOWER on IntegriCloud